

It's comparing a short with 128000.  And kmalloc does that test for us
anyway.



 drivers/block/cciss.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

diff -puN drivers/block/cciss.c~cciss-warning-fix drivers/block/cciss.c
--- 25/drivers/block/cciss.c~cciss-warning-fix	2003-08-09 02:49:48.000000000 -0700
+++ 25-akpm/drivers/block/cciss.c	2003-08-09 02:54:25.000000000 -0700
@@ -637,14 +637,11 @@ static int cciss_ioctl(struct inode *ino
 		{	
 			return -EINVAL;
 		} 
-		/* Check kmalloc limits */
-		if(iocommand.buf_size > 128000)
-			return -EINVAL;
 		if(iocommand.buf_size > 0)
 		{
 			buff =  kmalloc(iocommand.buf_size, GFP_KERNEL);
 			if( buff == NULL) 
-				return -EFAULT;
+				return -ENOMEM;
 		}
 		if (iocommand.Request.Type.Direction == XFER_WRITE)
 		{
@@ -2457,7 +2454,7 @@ static int __init cciss_init_one(struct 
 	hba[i]->pdev = pdev;
 
 	/* configure PCI DMA stuff */
-	if (!pci_set_dma_mask(pdev, (u64) 0xffffffffffffffff))
+	if (!pci_set_dma_mask(pdev, (u64) 0xffffffffffffffffULL))
 		printk("cciss: using DAC cycles\n");
 	else if (!pci_set_dma_mask(pdev, 0xffffffff))
 		printk("cciss: not using DAC cycles\n");

_
